package cpcns.dingZhi.renshianjuan.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.renshi.model.renshi;
import cpcns.dingZhi.renshianjuan.model.renshianjuan;
import cpcns.dingZhi.renshianjuan.service.IRenshianjuanService;
import cpcns.dingZhi.tongYong.service.ItongYongService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"renshianjuanController"})
public class RenshianjuanController extends DangAnBaseController {
  @Autowired
  private IRenshianjuanService renshianjuanService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ItongYongService tongYongService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    return "dingZhi/renshianjuan/renshianjuan_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    renshianjuan obj = new renshianjuan();
    User user = getCurrentUser();
    obj.setQuanZongHao(user.getQuanZongHao());
    model.addAttribute("renshianjuan", obj);
    String menLei = request.getParameter("menLei");
    obj.setMenLei(menLei);
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
    } 
    obj.setFenShu("1");
    obj.setZhuangTai(Integer.valueOf(1));
    model.addAttribute("renshianjuan", obj);
    return "dingZhi/renshianjuan/renshianjuan_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.renshianjuanService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "quanzonghao,xuhao asc"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "")
        .replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("QUANZONGHAO", "quanZongHao")
        .replaceAll("ANJUANHAO", "anJuanHao").replaceAll("WENJIANBIANHAO", "wenJianBianHao")
        .replaceAll("PINYINSUOYIN", "pinYinSuoYin").replaceAll("SIJIAOHAOMA", "siJiaoHaoMa")
        .replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("DANGHAO", "dangHao").replaceAll("BIAOTI", "biaoTi")
        .replaceAll("XUHAO", "xuHao").replaceAll("BANBENLEIBIE", "banBenLeiBie");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, renshianjuan obj) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("quanZongHaoString", obj.getQuanZongHao());
        map1.put("biaoTiString", obj.getBiaoTi());
        map1.put("zhuangTai_notin", "3,4");
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        String rizhi = "";
        if (!this.renshianjuanService.IsExist(map1)) {
          if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
            rizhi = "修改";
            this.renshianjuanService.update(obj);
          } else {
            rizhi = "新增";
            obj.setHangBiaoShi(Integer.valueOf(this.renshianjuanService.getPk(this.table)));
            obj.setZhuangTai(Integer.valueOf(1));
            if (StringUtils.isBlank(String.valueOf(obj.getGuanLianBiaoShi())))
              obj.setGuanLianBiaoShi(String.valueOf(0)); 
            this.renshianjuanService.save(obj);
          } 
          rm.setSuccess(true);
          info = "保存成功！";
          rm.addResultMessage("hangBiaoShi", obj.getHangBiaoShi());
          this.renshianjuanService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), rizhi);
        } else {
          rm.setSuccess(false);
          info = "该案卷已存在";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String quanXian = request.getParameter("quanXian");
      model.addAttribute("quanXian", quanXian);
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      renshianjuan obj = (renshianjuan)this.renshianjuanService.getById(renshianjuan.class, hangBiaoShi);
      if (StringUtils.isNotBlank(obj.getMenLei())) {
        GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(obj.getMenLei());
        if (dam != null) {
          model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
          model.addAttribute("fenGeFu", dam.getFenGeFu());
          model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
        } 
      } 
      model.addAttribute("renshianjuan", obj);
      if (this.tongYongService.checkWenjian(hangBiaoShi, this.table) != 0)
        model.addAttribute("state", "1"); 
      this.renshianjuanService.addDA_RiZhi(getCurrentUser(), this.server, this.table, hangBiaoShi, String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "查看");
      Integer fenshu = this.tongYongService.queryIsNotFile(hangBiaoShi, this.table);
      model.addAttribute("fenshu", fenshu);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/renshianjuan/renshianjuan_edit";
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      String dangHao = request.getParameter("dangHao");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        renshianjuan rsj = (renshianjuan)this.renshianjuanService.getById(renshianjuan.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        info = "删除成功！";
        this.renshianjuanService.deleteBySQL(user, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        this.renshianjuanService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), String.valueOf(biaoTi) + "$." + dangHao + "$." + rsj.getMenLei(), "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/RScreateJijianWenJian.do"})
  public String RScreateJijianWenJian(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String table = "D_renShi";
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request
            .getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      renshianjuan obj = (renshianjuan)this.renshianjuanService.getById(renshianjuan.class, hangBiaoShi);
      renshi renshi = new renshi();
      if (StringUtils.isNotBlank(obj.getMenLei()));
      GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(obj.getMenLei());
      if (dam != null) {
        model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
        model.addAttribute("fenGeFu", dam.getFenGeFu());
        model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      } 
      renshi.setGuanLianBiaoShi(String.valueOf(hangBiaoShi));
      renshi.setAnJuanDangHao(obj.getDangHao());
      renshi.setQuanZongHao(obj.getQuanZongHao());
      renshi.setSiJiaoHaoMa(obj.getSiJiaoHaoMa());
      renshi.setPinYinSuoYin(obj.getPinYinSuoYin());
      renshi.setMenLei(obj.getMenLei());
      renshi.setAnJuanHao(String.valueOf(obj.getXuHao()));
      renshi.setFenShu("1");
      renshi.setXingMing(obj.getBanBenLeiBie());
      getRequest().setAttribute("taa", Integer.valueOf(1));
      model.addAttribute("renshi", renshi);
      model.addAttribute("table", table);
      this.renshianjuanService.addDA_RiZhi(getCurrentUser(), this.server, table, 
          hangBiaoShi, String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao(), 
          "查看");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/renshi/renshi_edit";
  }
}
